Package org.apache.bcel.generic

# Class ArithmeticInstruction

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.ArithmeticInstruction

All Implemented Interfaces:
  `Cloneable`, `StackConsumer`, `StackProducer`, `TypedInstruction`

Direct Known Subclasses:
  `DADD`, `DDIV`, `DMUL`, `DNEG`, `DREM`, `DSUB`, `FADD`, `FDIV`, `FMUL`, `FNEG`, `FREM`, `FSUB`, `IADD`, `IAND`, `IDIV`, `IMUL`, `INEG`, `IOR`, `IREM`, `ISHL`, `ISHR`, `ISUB`, `IUSHR`, `IXOR`, `LADD`, `LAND`, `LDIV`, `LMUL`, `LNEG`, `LOR`, `LREM`, `LSHL`, `LSHR`, `LSUB`, `LUSHR`, `LXOR`

public abstract class ArithmeticInstruction extends Instruction implements TypedInstruction, StackProducer, StackConsumer
Super class for the family of arithmetic instructions.

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ArithmeticInstruction(short opcode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Type`
  `getType(ConstantPoolGen cp)`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

  `consumeStack`

  ### Methods inherited from interface org.apache.bcel.generic.StackProducer

  `produceStack`

- ## Constructor Details

  - ### ArithmeticInstruction

    protected ArithmeticInstruction(short opcode)
    Parameters:
      `opcode` - of instruction

- ## Method Details

  - ### getType

    public Type getType(ConstantPoolGen cp)
    Specified by:
      `getType` in interface `TypedInstruction`
    Returns:
      type associated with the instruction